Bug 1029157 - test pages broken
test pages broken
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Tests (Show other bugs)
JON 3.2
Unspecified Unspecified
unspecified Severity unspecified
: ER07
: JON 3.2.0
Assigned To: Jay Shaughnessy
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-11 14:33 EST by John Mazzitelli
Modified: 2014-01-02 15:35 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-02 15:35:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
broken-link (398.87 KB, image/jpeg)
2013-11-20 06:20 EST, Jeeva Kandasamy
no flags Details

  None (edit)
Description John Mazzitelli 2013-11-11 14:33:22 EST
http://<host>:7080/coregui/#Test/ServerAccess/AgentConnectivityTest

is broke. We aren't sending the token which is now required to the connectivity test will never succeed.

We should fix this as its a good support tool. Its relatively easy to fix and the fix only involves a test page, so the risk to production code is minimal.
Comment 1 John Mazzitelli 2013-11-11 14:42:55 EST
the agent conn test page is fixed:

master branch:04df12f9c6eea1e06d1ccec15bdfd273292a0d1a
release/jon3.2.x branch: a3878c52eaee62da57821d3740a9738fe998f026
Comment 2 John Mazzitelli 2013-11-11 14:43:44 EST
assigning to jay - he's fixing the other test .jsps too
Comment 3 Jay Shaughnessy 2013-11-11 17:11:42 EST
release/jon3.2.x commit fbb2e54ce583fe801c822272c5dcb5ced369d2bd
Author: Jay Shaughnessy <jshaughn@redhat.com>
Date:   Mon Nov 11 14:40:55 2013 -0500

    Test page for Hibernate queries was broken, as were the admin links on
    all the Test pages.  Needed for support reasons.  Fixed.
Comment 4 Simeon Pinder 2013-11-19 10:49:12 EST
Moving to ON_QA as available for testing with new brew build.
Comment 5 Jeeva Kandasamy 2013-11-20 06:20:58 EST
Created attachment 826569 [details]
broken-link

Version:
JBoss Operations Network
Version : 3.2.0.ER6
Build Number : f7dcd50:643508a
GWT Version : 2.5.0
SmartGWT Version : 3.0p

Browser: Firefox 17.0.7 (RHEL 6.4 x64)

Still the following links are broken,

Database Operations
    [SQL Interface]
    [JPQL / HQL Interface]
    [Hibernate Entity Browser]
Business Operations
    [Administrative Control]
    [Test Email Configuration]
    [Test Agent Communications]

Screen shot is attached.
Comment 6 John Mazzitelli 2013-11-20 08:27:24 EST
it appears ER6 build was bad - it should have included this fix but did not. Flipping back to MODIFIED and will wait for the new build to include this.
Comment 7 Simeon Pinder 2013-11-22 00:01:59 EST
Moving to ON_QA as available to test in ER7 and later brew builds.
Comment 8 Jeeva Kandasamy 2013-11-22 07:25:53 EST
Version:
JBoss Operations Network
Version : 3.2.0.ER7
Build Number : e8e6401:ff0061d
GWT Version : 2.5.0
SmartGWT Version : 3.0p

Browser: Firefox ESR 17.0.7

Links are working as expected.

Note You need to log in before you can comment on or make changes to this bug.